
<!-- test body with attribute -->

<style type="text/css" attr>
body {
  color: #111;
}

</style>

<!-- test body without attribute -->

<style type="text/css">
body {
  color: #111;
}

</style>

<!-- test single file with extension -->
<!-- less.less -->
<style type="text/css">
body {
  color: #111111;
}

</style>

<!-- test single file without extension -->
<!-- less.less -->
<style type="text/css">
body {
  color: #111111;
}

</style>

<!-- test single file with variable attributes -->
<!-- less.less -->
<style type="text/css" a="0" b="1" c="false" d="true" e="yes" f>
body {
  color: #111111;
}

</style>

<!-- test multiple files with extensions -->
<!-- less.less, less2.less -->
<style type="text/css">
body {
  color: #111111;
}

body {
  color: #222222;
}

</style>

<!-- test multiple files without extensions -->
<!-- less.less, less2.less -->
<style type="text/css">
body {
  color: #111111;
}

body {
  color: #222222;
}

</style>

<!-- test multiple files with attribute -->
<!-- less.less, less2.less -->
<style type="text/css" attr>
body {
  color: #111111;
}

body {
  color: #222222;
}

</style>

<!-- test file that can't be read -->
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css">

<!-- test multiple files with attribute -->
<!-- less.less -->
<style type="text/css" attr>
body {
  color: #111111;
}

</style>
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css" attr>

<!-- test multiple files without attribute -->
<!-- less.less -->
<style type="text/css">
body {
  color: #111111;
}

</style>
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css">
